<?php
/**
 * Result Count
 *
 * Shows text: Showing x - x of x results.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce/Templates
 * @version     3.7.0
 * @var int $total
 * @var int $per_page
 * @var int $current
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>

<div class="row">
	<!-- End in orderby.php -->
	<div class="col-md-6 col-lg-8 col-xxl-9">
		<p class="woocommerce-result-count">
			<?php
			if ( 1 === $total ) {
				esc_html_e( 'Showing the single result', 'hello-wpstream' );
			} elseif ( $total <= $per_page || - 1 === $per_page ) {
				/* translators: %d: total results */
				echo esc_html( sprintf( _n( 'Showing all %d result', 'Showing all %d results', $total, 'hello-wpstream' ), $total ) );
			} else {
				$first = ( $per_page * $current ) - $per_page + 1;
				$last  = min( $total, $per_page * $current );
				/* translators: 1: first result 2: last result 3: total results */
				echo esc_html( sprintf( _nx( 'Showing %1$d&ndash;%2$d of %3$d result', 'Showing %1$d&ndash;%2$d of %3$d results', $total, 'with first and last result', 'hello-wpstream' ), $first, $last, $total ) );
			}
			?>
		</p>

	</div><!-- col -->